import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Label } from "../../cmp/label";
import { ColorPicker } from "./ColorPicker";
import { useTheme } from "../Provider";
export function PrimaryPicker() {
    const { themePrimaryColor, setThemePrimaryColor } = useTheme();
    return (_jsxs("div", { className: "flex flex-col gap-2", children: [_jsx(Label, { children: "Custom Primary Color" }), _jsx(ColorPicker, { label: "Primary color", value: themePrimaryColor, onChange: setThemePrimaryColor, allowEmpty: true })] }));
}
